
/**
 *
 * DEMO 1: Ovladanie polohy serva pomocou potenciometra
 *
 */

#include <Servo.h>
 
Servo myservo; 
 
const int potpin = 0;  // Analogovy vstup pre pripojenie potenciometra.
int val;               // Hodnota nacitana z analogoveho vstupu.
 
void setup()
{
  myservo.attach(9);   // Servo je pripojene na digitalny pin 9.
}
 
void loop()
{
  val = analogRead(potpin);            // Nacitanie hodnoty z potenciometra (hodnota medzi 0 az 1023)
  val = map(val, 0, 1023, 0, 230);     // Premapovanie hodnot na hrancie serva (hodnota medzi 0 az 230)
  myservo.write(val);                  // Nastavenie polohy serva.
  delay(15);                           // Pauza na presun serva.
}
