
const int buttonPin = 2;
int output = 0;

const int redLed = 9;
const int greenLed = 10;

const int potPin = 0;

void setup()
{
  pinMode(buttonPin, INPUT);   

  pinMode(redLed, OUTPUT);   
  pinMode(greenLed, OUTPUT);   

  output = greenLed;
}

void loop()
{
  int buttonState = 0;
  int val = 0;
  buttonState = digitalRead(buttonPin);
  
  val = analogRead(potPin);            // reads the value of the potentiometer (value between 0 and 1023)
  val = map(val, 0, 1023, 0, 255);     // scale it to use it with the servo (value between 0 and 180)
  
  analogWrite(output, val);

  if(buttonState == HIGH)
    delay(300);

  if (buttonState == HIGH) {
    analogWrite(output, 0);
    if(output == greenLed)
    {
      output = redLed;
    }
    else
      output = greenLed;
  }
}


